Subject: [Tsvwg] Re: Question about SCTP kernel impl

From: "Randall Stewart (cisco)" <[email-masked]>
Date: Fri, 26 Jul 2002 07:10:07 -0500

Kavitha:

No, you are not missing anything.. we missed something when we did
the implementation :0

If you change your socket call to:

sock = socket(AF_INET,SOCK_DGRAM,IPPROTO_SCTP)

it will work... when we set up the prototype switch table we incorrectly
put in the same type as UDP :-0

I need to send in another patch to kame for this.. note that the kame
implementation
is the MOST up to date... I still have a couple of patches to send them
for
netbsd... but even at that most of the bug fixes are in there standard
release
now :>

R

Kavitha Baratakke wrote:
> 
> Hello Randy,
> 
> I am Kavitha Baratakke, one of the developers working on an SCTP kernel
> impl in IBM AIX group.
> 
> I was trying to set up your SCTP kernel impl on FreeBSD45 and followed all
> the instructions to set up the new kernel and libraries.
> I am trying to open a socket using a simple call
>     sock = socket(AF_INET, SOCK_SEQPACKET, IPPROTO_SCTP);
> which returns with errno=43 EPROTONOSUPPORT .
> 
> Isn't this API supported on the current kernel implementation of SCTP?
> >From the README it seems like it is.. what am  I missing here?
> 
> Thanks,
> Kavitha
> 
> PS: Tried sending this to the tsvwg mailing list for some reason it is
> bouncing back!

-- 
Randall R. Stewart
ITD
Cisco Systems Inc.
[email-masked] 815-342-5222(cell) or 815-477-2127(office)

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg